### Function

# Gtk.print_run_page_setup_dialog_async

#### Declaration [src]

    void
    gtk_print_run_page_setup_dialog_async (
      GtkWindow* parent,
      GtkPageSetup* page_setup,
      GtkPrintSettings* settings,
      GtkPageSetupDoneFunc done_cb,
      gpointer data
    )

#### Description [src]

Runs a page setup dialog, letting the user modify the values from `page_setup`.

In contrast to `gtk_print_run_page_setup_dialog()`, this function returns after showing the page setup dialog on platforms that support this, and calls `done_cb` from a signal handler for the ::response signal of the dialog.

#### Parameters

`parent` | `GtkWindow`
| transient parent, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`page_setup` | `GtkPageSetup`
| an existing `GtkPageSetup`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`settings` | `GtkPrintSettings`
| a `GtkPrintSettings`
| Ownership is not transferred to the callee
`done_cb` | `GtkPageSetupDoneFunc`
| a function to call when the user saves the modified page setup
`data` | `gpointer`
| user data to pass to `done_cb`